#include <PSX/System/syscalls.hpp>

namespace JabyEngine {
    namespace SysCall {
        BIOSVersion get_bios_version() {
            BIOSVersion version;

            version.date_bcd     = *reinterpret_cast<uint32_t*>(0xBFC00100);
            version.kernel_maker = reinterpret_cast<const char*>(0xBFC00108);
            version.gui_version  = reinterpret_cast<const char*>(0xBFC7FF32);
            return version;
        }
    }
}